System.Gadget.onSettingsClosing = settingsClosing;

/* Save setting */
function settingsClosing(event)
{
    if (event.closeAction == event.Action.commit)
    {
        System.Gadget.Settings.write( "refresh", feedRefresh.options[feedRefresh.selectedIndex].value );
        System.Gadget.Settings.write( "theme", feedTheme.options[feedTheme.selectedIndex].value );
		System.Gadget.Settings.write( "noItems", noItems.options[noItems.selectedIndex].value );
        event.cancel = false;
    }
}

/* Load Setting */
function loadSettings() 
{
	var refresh = System.Gadget.Settings.read("refresh");

	switch ( refresh ) {
		case 300000:
			feedRefresh[0].selected = "1";
			break;
		case 600000:
			feedRefresh[1].selected = "1";
			break;
		case 900000:
			feedRefresh[2].selected = "1";
			break;			
		case 1800000:
			feedRefresh[3].selected = "1";
			break;
		case 3600000:
			feedRefresh[4].selected = "1";
			break;			
		case -1:
			feedRefresh[5].selected = "1";
			break;			
		default:
			feedRefresh[1].selected = "1";
	}
	
	var Items = System.Gadget.Settings.read("noItems");

	switch ( Items ) {
		case 4:
			noItems[0].selected = "1";
			break;
		case 6:
			noItems[1].selected = "1";
			break;
		case 8:
			noItems[2].selected = "1";
			break;			
		default:
			noItems[0].selected = "1";
	}

	var theme = System.Gadget.Settings.read("theme");
	for ( var i=0; i<2; i++ ) if ( feedTheme[i].value == theme ) feedTheme[i].selected = "1";
	
	updatePreview();
	
}

function updatePreview()
{
	previewImage.src = "/themes/" + feedTheme.options[feedTheme.selectedIndex].value + "/preview.png";
}

/* Shows a specified table in the settings dialog */
function showTable( table )
{
	aboutTable.style.display = 'none';
	optionsTable.style.display = 'none';
	table.style.display = 'block';
}